## lazarus 4.2+dfsg

=== debian/changelog ===
lazarus (4.2+dfsg-2) unstable; urgency=medium

  [ Peter Blackman ]
  * Update debian/copyright, add lrc.config
  * Remove Rules-Require-Root from d/control
  * Update debian/watch to Version: 5
  * Add Upstream metadata
  * Update email address for peterb
  * Update debian/clean

  [ Paul Gevers ]
  * Restore reproducibility
    * sort entries for preinst
    * don't store the build time until it honors SOURCE_DATE_EPOCH

 -- Peter Blackman <peterb@debian.org>  Thu, 11 Dec 2025 20:01:41 +0000

lazarus (4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 4.2+dfsg

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 30 Aug 2025 13:31:40 +0100
