=== debian/watch ===
Version: 5

Source: https://sf.net/lazarus/
Matching-Pattern: lazarus-@ANY_VERSION@@ARCHIVE_EXT@
Repack: yes
Repacksuffix: +dfsg
Dversion-Mangle: auto
