## lazarus 4.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                fp-utils (>= 3.2.2+dfsg-45),
 			   fpc-source (>= 3.2.2+dfsg-45),
                libgtk2.0-dev,
-               libqt5pas-dev (>= 3.0),
+               libqt5pas-dev (>= 4.0),
                po-debconf,
                rdfind,
                symlinks
@@ -26,15 +26,15 @@
 Vcs-Browser: https://salsa.debian.org/pascal-team/lazarus
 Homepage: https://www.lazarus-ide.org/
 
-Package: lazarus-4.2
+Package: lazarus-4.4
 Architecture: all
 Depends: lazarus-ide (>= ${source:Version}),
-         lazarus-src-4.2 (>= ${source:Version}),
-         lcl-4.2 (>= ${source:Version}),
+         lazarus-src-4.4 (>= ${source:Version}),
+         lcl-4.4 (>= ${source:Version}),
          ${misc:Depends}
 Recommends: fpc,
             fpc-source,
-            lazarus-doc-4.2
+            lazarus-doc-4.4
 Suggests: fp-docs,
           fp-utils
 Provides: lazarus
@@ -58,11 +58,11 @@
  This metapackage pulls in all the packages needed to have a typical
  Lazarus installation.
 
-Package: lazarus-src-4.2
+Package: lazarus-src-4.4
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: lazarus-ide-4.2
+Suggests: lazarus-ide-4.4
 Provides: lazarus-src
 Description: IDE for Free Pascal - LCL source code
  Lazarus is an IDE to create (graphical and console) applications with Free
@@ -85,14 +85,14 @@
  the IDE code tool to work properly (retrieving declarations and navigating
  in code).
 
-Package: lazarus-ide-4.2
+Package: lazarus-ide-4.4
 Architecture: any
 Depends: fp-compiler (>= 3.2.2+dfsg-45),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
             gdb,
-            lazarus-4.2,
+            lazarus-4.4,
 Suggests: fp-utils
 Provides: lazarus-ide
 Static-Built-Using: ${fpc:Static-Built-Using}
@@ -115,16 +115,16 @@
  .
  This package contains the common files required to run Lazarus IDE.
 
-Package: lazarus-ide-gtk2-4.2
-Architecture: any
-Depends: lazarus-ide-4.2,
+Package: lazarus-ide-gtk2-4.4
+Architecture: any
+Depends: lazarus-ide-4.4,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gdb,
-            lcl-4.2
+            lcl-4.4
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-gtk-4.2,
+          lazarus-ide-gtk-4.4,
           lazarus-ide-gtk2
 Static-Built-Using: ${fpc:Static-Built-Using}
 Description: IDE for Free Pascal - GTK+ version
@@ -146,46 +146,46 @@
  .
  This package contains the GTK+ version of the Lazarus IDE.
 
-Package: lazarus-ide-qt5-4.2
-Architecture: any
-Depends: lazarus-ide-4.2,
+Package: lazarus-ide-qt5-4.4
+Architecture: any
+Depends: lazarus-ide-4.4,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gdb,
-            lcl-4.2
+            lcl-4.4
 Suggests: fp-utils
 Provides: lazarus-ide,
-          lazarus-ide-qt-4.2,
+          lazarus-ide-qt-4.4,
           lazarus-ide-qt5
 Static-Built-Using: ${fpc:Static-Built-Using}
-Description: IDE for Free Pascal - Qt version
- Lazarus is an IDE to create (graphical and console) applications with Free
- Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
- Windows, Linux, Mac OS X, FreeBSD and more.
- .
- Lazarus is the missing part of the puzzle that will allow you to develop
- programs for all of the above platforms in a Delphi-like environment.
- The IDE is a RAD tool that includes a form designer.
- .
- Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
- strive for "write once, compile anywhere". Since the exact same compiler
- is available on all of the above platforms you don't need to do any recoding
- to produce identical products for different platforms.
- .
- In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
- Component Library (LCL).
- .
- This package contains the Qt version of the Lazarus IDE.
-
-Package: lcl-4.2
+Description: IDE for Free Pascal - Qt5 version
+ Lazarus is an IDE to create (graphical and console) applications with Free
+ Pascal, the (L)GPLed Pascal and Object Pascal compiler that runs on
+ Windows, Linux, Mac OS X, FreeBSD and more.
+ .
+ Lazarus is the missing part of the puzzle that will allow you to develop
+ programs for all of the above platforms in a Delphi-like environment.
+ The IDE is a RAD tool that includes a form designer.
+ .
+ Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
+ strive for "write once, compile anywhere". Since the exact same compiler
+ is available on all of the above platforms you don't need to do any recoding
+ to produce identical products for different platforms.
+ .
+ In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
+ Component Library (LCL).
+ .
+ This package contains the Qt5 version of the Lazarus IDE.
+
+Package: lcl-4.4
 Architecture: any
 Multi-Arch: same
-Depends: lcl-units-4.2,
-         lcl-utils-4.2,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: fpc,
-            lazarus-src-4.2,
+Depends: lcl-units-4.4,
+         lcl-utils-4.4,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: fpc,
+            lazarus-src-4.4,
 Suggests: gdb
 Provides: lcl
 Static-Built-Using: ${fpc:Static-Built-Using}
@@ -208,13 +208,13 @@
  .
  This metapackage installs the full LCL and components.
 
-Package: lcl-utils-4.2
+Package: lcl-utils-4.4
 Architecture: any
 Depends: fp-compiler (>= 3.2.2+dfsg-45),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: lazarus-ide-4.2,
-            lcl-4.2
+Recommends: lazarus-ide-4.4,
+            lcl-4.4
 Provides: lcl-utils
 Static-Built-Using: ${fpc:Static-Built-Using}
 Description: Lazarus Components Library - command line build tools
@@ -237,9 +237,9 @@
  This package contains command line tools to ease building LCL based
  applications.
 
-Package: lcl-units-4.2
-Architecture: any
-Depends: lcl-gtk2-4.2 (= ${binary:Version}) | lcl-qt5-4.2 (= ${binary:Version}),
+Package: lcl-units-4.4
+Architecture: any
+Depends: lcl-qt5-4.4 (= ${binary:Version}) | lcl-gtk2-4.4 (= ${binary:Version}),
          ${fpc-abi:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
@@ -270,7 +270,7 @@
  .
  This package contains common components of the LCL.
 
-Package: lcl-nogui-4.2
+Package: lcl-nogui-4.4
 Architecture: any
 Depends: fp-units-base (>= 3.2.2+dfsg-45),
          fp-units-fcl (>= 3.2.2+dfsg-45),
@@ -279,7 +279,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fpc,
-            lazarus-ide-4.2
+            lazarus-ide-4.4
 Suggests: gdb
 Provides: lcl-nogui
 Breaks: lcl-units-1.2 (<= 1.2~rc+dfsg-1)
@@ -300,4 +300,3 @@
  to produce identical products for different platforms.
  .
  In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus
- Component Library (LCL).
