=== debian/rules ===
--- 
+++ 
@@ -69,6 +69,10 @@
 
 #export DH_VERBOSE=1
 
+# many targets need strict left-right ordering
+# Parallel building is likely to break
+.NOTPARALLEL:
+
 %:
 	dh ${@}
 
@@ -76,7 +80,7 @@
 # Clean
 #
 
-clean: clean-patched .WAIT clean-make-files
+clean: clean-patched clean-make-files
 	$(RM) debian/tmp2
 	dh_clean
 	# Make sure the debconf translations are always up-to-date
@@ -231,4 +235,3 @@
 		-e 's/Icon=lazarus/&-${DEB_UPSTREAM_NODOT_VERSION}/' \
 		$(CURDIR)/install/lazarus.desktop > $(INSTALL_DIR_ARCH)/usr/share/applications/lazarus-${DEB_UPSTREAM_MAIN_VERSION}.desktop
 	# Install configuration files
-	${MKDIR} $(INSTALL_DIR_ARCH)/etc/lazarus${PACKAGESUFFIX}
