## lazarus 4.4%2bdfsg

=== debian/changelog ===
lazarus (4.4+dfsg-4) unstable; urgency=medium

  * Remove Multi-Arch: same from versioned lcl-nogui

 -- Peter Blackman <peterb@debian.org>  Sun, 21 Dec 2025 12:20:03 +0000

lazarus (4.4+dfsg-3) unstable; urgency=medium

  * Remove Multi-Arch: same from lcl-nogui
  * Remove execute bit from lcl/include/screen.inc

 -- Peter Blackman <peterb@debian.org>  Sat, 20 Dec 2025 12:35:32 +0000

lazarus (4.4+dfsg-2) unstable; urgency=medium

  * Update watch file to use git
  * Make lcl-nogui Multi-Arch: same
  * Update patch header
  * prioritise qt5 over gtk2, see #967564
  * Use NOTPARALLEL in d/rules, see #1105378

 -- Peter Blackman <peterb@debian.org>  Fri, 19 Dec 2025 12:47:26 +0000

lazarus (4.4+dfsg-1) unstable; urgency=medium

  * New upstream version 4.4+dfsg

 -- Peter Blackman <peterb@debian.org>  Sat, 13 Dec 2025 10:52:57 +0000
