## lazarus 4.4+dfsg

=== debian/control ===
--- 
+++ 
@@ -272,6 +272,7 @@
 
 Package: lcl-nogui-4.4
 Architecture: any
+Multi-Arch: same
 Depends: fp-units-base (>= 3.2.2+dfsg-45),
          fp-units-fcl (>= 3.2.2+dfsg-45),
          fp-units-rtl (>= 3.2.2+dfsg-45),
